import {model, Schema} from "mongoose";

const INTERACTION_SCHEMA: Schema = new Schema({
    concreteType: String,
    index: Number,
    kind: String,
    value: String,
    date: Date
});

const EXPLORATION_SCHEMA: Schema = new Schema({
    sessionId : String,
    explorationNumber : Number,
    testerName : String,
    isStopped : Boolean,
    startDate: Date,
    stopDate: Date,
    interactionList : [INTERACTION_SCHEMA],
},
{
    timestamps: true,
});

export default model("Exploration", EXPLORATION_SCHEMA);
